{
	"format_version": "1.8.0",
	"animations": {
		"animation.crl.horse.v3.walk_addition": {
			"loop": true,
			"animation_length": 4,
			"anim_time_update": "(query.is_in_water || (variable.time_not_in_water < 0.2)) ? query.life_time * 1.5 : (query.modified_distance_moved*0.18*(v.distance_moved_weight ?? 1.0))",
			"blend_weight": "(query.is_in_water || (variable.time_not_in_water < 0.2)) ? 1.0 : (query.modified_move_speed * (v.modified_move_speed_weight ?? 1.0))",
			"bones": {
				"leg0": {
					"rotation": {
						"0.0": {
							"post": [0, 0.40886, -2.11505],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, -1.70731, -3.89766],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [0, 2.0083, -2.62787],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [0, 1.69841, -0.02799],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, 0.40886, -2.11505],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"leg1": {
					"rotation": {
						"0.0": {
							"post": [0, 1.7966, 3.35088],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, -4.85316, 3.65278],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [0, -6.14235, 4.03349],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [0, -9.27696, -1.14204],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, 1.7966, 3.35088],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"leg2": {
					"rotation": {
						"0.0": {
							"post": [0, -0.09847, -2.69204],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, -12.71385, -0.33001],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [0, 2.2453, -0.63585],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [0, -8.0216, 8.60212],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, -0.09847, -2.69204],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"leg3": {
					"rotation": {
						"0.0": {
							"post": [0, 2.014, 0.60623],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, -5.8239, -1.90821],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [0, 5.41749, 1.7325],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [0, 1.5979, 1.13549],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, 2.014, 0.60623],
							"lerp_mode": "catmullrom"
						}
					}
				},
				"main_body": {
					"rotation": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [1.5, 0.3, -1.5],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [2.5, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [-1.5, 0.3, 1.5],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					},
					"position": {
						"0.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"1.0": {
							"post": [0, -0.75, 0],
							"lerp_mode": "catmullrom"
						},
						"2.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						},
						"3.0": {
							"post": [0, -0.25, 0],
							"lerp_mode": "catmullrom"
						},
						"4.0": {
							"post": [0, 0, 0],
							"lerp_mode": "catmullrom"
						}
					}
				}
			}
		},
		"animation.crl.horse.v3.baby_transform": {
			"loop": true,
			"bones": {
				"body": {
					"position": [0, "11 * ((0.0625 - query.model_scale) * 16.0)", 0]
				},
				"head": {
					"scale": "1.0 + 0.5 * (1.0 - (query.model_scale * 16.0))"
				},
				"leg1": {
					"scale": [1, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1]
				},
				"leg0": {
					"scale": [1, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1]
				},
				"leg3": {
					"scale": [1, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1]
				},
				"leg2": {
					"scale": [1, "1.0 + ((0.0625 - query.model_scale) * 16.0)", 1]
				}
			}
		},
		"animation.crl.horse.v3.eat": {
			"loop": true,
			"bones": {
				"neck": {
					"rotation": ["variable.eat_anim * (110.0 + math.sin((query.life_time * 20.0) * 57.3) * 2.86)", 0, 0]
				}
			}
		},
		"animation.crl.horse.v3.look_at_player": {
			"loop": true,
			"bones": {
				"neck": {
					"rotation": ["variable.head_x_rot", "(variable.stand_anim + variable.inverse_max_stand_eat) * query.head_y_rotation(20)", 0]
				},
				"main_body": {
					"rotation": [0, "variable.eye_rot_clamp.y * 0.3", 0]
				},
				"leg0": {
					"rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
				},
				"leg1": {
					"rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
				},
				"leg2": {
					"rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
				},
				"leg3": {
					"rotation": ["variable.eye_rot_clamp.x * 0.5", "variable.eye_rot_clamp.y * 0.2", 0]
				},
				"leg_inv0": {
					"rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
				},
				"leg_inv1": {
					"rotation": [0, 0, "variable.eye_rot_clamp.y * 0.2"]
				},
				"leg_inv2": {
					"rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
				},
				"leg_inv3": {
					"rotation": [0, 0, "-variable.eye_rot_clamp.y * 0.4"]
				}
			}
		},
		"animation.crl.horse.v3.walk_moving_parts": {
			"loop": true,
			"anim_time_update": "query.modified_distance_moved",
			"bones": {
				"ear0": {
					"rotation": ["math.cos(query.anim_time * 15.17) *  5", 0, 0]
				},
				"ear1": {
					"rotation": ["-math.cos(query.anim_time * 15.17) *  5", 0, 0],
					"position": [0, 0, 0]
				},
				"tail_walk": {
					"rotation": [0, 0, "math.cos(query.anim_time * 20.17) *  30.0"]
				},
				"saddle_stirrup_r": {
					"rotation": ["math.cos(query.anim_time * 20) *  20.0", 0, 0]
				},
				"saddle_stirrup_l": {
					"rotation": ["math.cos(query.anim_time * 20) *  20.0", 0, 0]
				}
			}
		},
		"animation.crl.horse.v3.rear": {
			"loop": true,
			"bones": {
				"body": {
					"rotation": ["-45.0 * variable.stand_anim", 0, 0]
				},
				"leg1": {
					"rotation": ["45.0 * variable.stand_anim", 0, 0]
				},
				"leg0": {
					"rotation": ["45.0 * variable.stand_anim", 0, 0]
				},
				"leg3": {
					"rotation": ["(-60.0 + math.cos((query.life_time * 20.0) * 34.38) * 57.3) * variable.stand_anim", 0, 0]
				},
				"leg2": {
					"rotation": ["(-60.0 - math.cos((query.life_time * 20.0) * 34.38) * 57.3) * variable.stand_anim", 0, 0]
				},
				"neck": {
					"rotation": ["(15.0 + variable.head_x_rot) * variable.stand_anim", 0, 0]
				},
				"tail": {
					"rotation": ["55.0 * variable.stand_anim", 0, 0]
				}
			}
		},
		"animation.crl.horse.v3.tail": {
			"loop": true,
			"bones": {
				"tail": {
					"rotation": [0, "math.cos(query.life_time * 802.0) * 57.3", 0]
				}
			}
		},
		"animation.crl.horse.v3.walk": {
			"loop": true,
			"bones": {
				"bagl": {
					"rotation": ["variable.leg_x_rot_anim / 5.0", 0, 0]
				},
				"bagr": {
					"rotation": ["-variable.leg_x_rot_anim / 5.0", 0, 0]
				},
				"leg1": {
					"rotation": ["(-variable.leg_stand_factor * 28.6 * query.modified_move_speed) * (1.0 - variable.stand_anim)", 0, 0]
				},
				"leg0": {
					"rotation": ["(variable.leg_stand_factor * 28.6 * query.modified_move_speed) * (1.0 - variable.stand_anim)", 0, 0]
				},
				"leg3": {
					"rotation": ["variable.leg_x_rot_anim * (1.0 - variable.stand_anim)", 0, 0]
				},
				"leg2": {
					"rotation": ["-variable.leg_x_rot_anim * (1.0 - variable.stand_anim)", 0, 0]
				}
			}
		}
	}
}